ALTER PROCEDURE [dbo].[sel_cat_catalogo_bodegas_itemDocumento]
	@p_idDocumento as int
AS
BEGIN

--LK. Cuando el documento es un traslado se debe validar no la bodega del ÃƒÂ­tem, sino la de la boega origen del traslado

if not exists(select 1 from view_doc_documento_traslado where id=@p_idDocumento)
begin
	SELECT [doc_itemDocumento].id as id_item,
		   [doc_itemDocumento].id_catalogo as id_catalogo,
		   [gen_bodega].id as id_bodega,
		   [doc_itemDocumento].cantidadPlaneado as cantidadPlaneada,
		   [doc_itemDocumento].cantidadEjecutado as cantidadEjecutada,
		   [doc_itemDocumento].valorUnitarioPlaneado as valorUnitarioPlaneado,
		   [doc_itemDocumento].valorUnitarioEjecutado as valorUnitarioEjecutado,
		   [cat_catalogo_bodega].existencia as existencia,
		   [gen_bodega].salidasEnRojo as permiteSalidasEnRojo
	FROM [doc_itemDocumento] 
		 inner join [gen_bodega] on [gen_bodega].id = [doc_itemDocumento].id_bodega 
		 left join [cat_catalogo_bodega] on ([doc_itemDocumento].id_catalogo = [cat_catalogo_bodega].id_catalogo and [doc_itemDocumento].id_bodega = [cat_catalogo_bodega].id_bodega)
		 WHERE [doc_itemDocumento].id_documento=@p_idDocumento and 
		 [doc_itemDocumento].active = 1 and doc_itemDocumento.id_catalogo>0
end
else
begin
	SELECT [doc_itemDocumento].id as id_item,
		   [doc_itemDocumento].id_catalogo as id_catalogo,
		   [gen_bodega].id as id_bodega,
		   [doc_itemDocumento].cantidadPlaneado as cantidadPlaneada,
		   [doc_itemDocumento].cantidadEjecutado as cantidadEjecutada,
		   [doc_itemDocumento].valorUnitarioPlaneado as valorUnitarioPlaneado,
		   [doc_itemDocumento].valorUnitarioEjecutado as valorUnitarioEjecutado,
		   [cat_catalogo_bodega].existencia as existencia,
		   [gen_bodega].salidasEnRojo as permiteSalidasEnRojo
	FROM [doc_itemDocumento] 
		 inner join [doc_documento.traslado] TRS on TRS.id=[doc_itemDocumento].id_documento
		 inner join [gen_bodega] on [gen_bodega].id = TRS.id_bodega_origen 
		 left join [cat_catalogo_bodega] on ([doc_itemDocumento].id_catalogo = [cat_catalogo_bodega].id_catalogo and TRS.id_bodega_origen = [cat_catalogo_bodega].id_bodega)
		 WHERE [doc_itemDocumento].id_documento=@p_idDocumento and 
		 [doc_itemDocumento].active = 1 and doc_itemDocumento.id_catalogo>0
end		
END